aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-20 18:30:03 -0300
committerEuAndreh <eu@euandre.org>2021-01-20 18:30:03 -0300
commitaf88327c73b6714d1bfb671d5629394d46c0b25d (patch)
tree1b83635a008d26af859f81b1e3a64f484b993323 /scripts
parents/libre/free/ (diff)
downloadeuandre.org-af88327c73b6714d1bfb671d5629394d46c0b25d.tar.gz
euandre.org-af88327c73b6714d1bfb671d5629394d46c0b25d.tar.xz
Move shebangs and script calls to POSIX
Diffstat (limited to '')
-rwxr-xr-xscripts/apply-translations.sh3
-rwxr-xr-xscripts/assert-nixfmt.sh3
-rwxr-xr-xscripts/assert-shellcheck.sh3
-rwxr-xr-xscripts/assert-spelling.sh3
-rwxr-xr-xscripts/assert-todos.sh3
-rwxr-xr-xscripts/bundix-gen.sh3
-rwxr-xr-xscripts/extract-translations.sh3
-rwxr-xr-xscripts/sync-translations.sh7
8 files changed, 18 insertions, 10 deletions
diff --git a/scripts/apply-translations.sh b/scripts/apply-translations.sh
index 1148b60..e1b92db 100755
--- a/scripts/apply-translations.sh
+++ b/scripts/apply-translations.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
for f in $(git ls-files | grep -E '.(md|slides)$' | grep -v '^vendor/reveal.js$'); do
l="$(grep '^lang: ..$' "$f" | awk '{print $2}')"
diff --git a/scripts/assert-nixfmt.sh b/scripts/assert-nixfmt.sh
index 761c1e2..9bdd3bf 100755
--- a/scripts/assert-nixfmt.sh
+++ b/scripts/assert-nixfmt.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
# shellcheck disable=2094
nixfmt < default.nix | diff - default.nix || {
diff --git a/scripts/assert-shellcheck.sh b/scripts/assert-shellcheck.sh
index 70ea65a..76fb2d0 100755
--- a/scripts/assert-shellcheck.sh
+++ b/scripts/assert-shellcheck.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
git ls-files -z | \
grep -zv vendor | \
diff --git a/scripts/assert-spelling.sh b/scripts/assert-spelling.sh
index f4ab58e..37cec6e 100755
--- a/scripts/assert-spelling.sh
+++ b/scripts/assert-spelling.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
export LANG=C.UTF-8
diff --git a/scripts/assert-todos.sh b/scripts/assert-todos.sh
index dabe680..ac72057 100755
--- a/scripts/assert-todos.sh
+++ b/scripts/assert-todos.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
if git grep FIXME | grep -Ev '^(vendor/|scripts/assert-todos.sh|locale/)'; then
echo "Found dangling FIXME markers on the project."
diff --git a/scripts/bundix-gen.sh b/scripts/bundix-gen.sh
index 6d5032f..7b4650d 100755
--- a/scripts/bundix-gen.sh
+++ b/scripts/bundix-gen.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
bundler package --no-install --path vendor
bundix
diff --git a/scripts/extract-translations.sh b/scripts/extract-translations.sh
index ea4b0f5..2333865 100755
--- a/scripts/extract-translations.sh
+++ b/scripts/extract-translations.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eu
+#!/bin/sh
+set -eu
TRANSLATIONS='pt fr eo'
diff --git a/scripts/sync-translations.sh b/scripts/sync-translations.sh
index 1e86340..20e2a78 100755
--- a/scripts/sync-translations.sh
+++ b/scripts/sync-translations.sh
@@ -1,4 +1,5 @@
-#!/bin/sh -eux
+#!/bin/sh
+set -eux
-./scripts/extract-translations.sh
-./scripts/apply-translations.sh
+sh scripts/extract-translations.sh
+sh scripts/apply-translations.sh